[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ResizeColumn

Resizes the specified column number to the given width.

## Declaration

Source position: grids.pas line 1171

`protected procedure TCustomGrid.ResizeColumn(`
`aCol: Integer;`
`aWidth: Integer`
`);`

## Arguments

`aCol` |  | Column number resized in the method.
`aWidth` |  | New width for the column.

## Description

ResizeColumn is a method used to set the width for the column number specified in ACol to to the value in AWidth.

ResizeColumn ensures that the value in AWidth is at least 0 (zero). A negative column size is invalid. The value in AWidth is stored to the ColWidths property at the index position in ACol.

Use ResizeRow or RowHeights to change the height for a specific row in the grid control.